Loading...
Searching...
No Matches
callbackregister_base::callback_base_t Struct Reference

`#include <gnuradio/rpccallbackregister_base.h>`

## Public Member Functions

| callback_base_t (const priv_lvl_t priv_, const std::string &units_, const DisplayType display_, const std::string &desc_, const pmt::pmt_t min_, const pmt::pmt_t max_, const pmt::pmt_t def)

## Public Attributes

priv_lvl_t | priv
std::string | units
std::string | description
pmt::pmt_t | min
pmt::pmt_t | max
pmt::pmt_t | defaultvalue
DisplayType | display

## Constructor & Destructor Documentation

## callback_base_t()

callbackregister_base::callback_base_t::callback_base_t | ( | const priv_lvl_t | priv_,
|  | const std::string & | units_,
|  | const DisplayType | display_,
|  | const std::string & | desc_,
|  | const pmt::pmt_t | min_,
|  | const pmt::pmt_t | max_,
|  | const pmt::pmt_t | def )

inline

References defaultvalue, description, display, max, min, priv, and units.

Referenced by callbackregister_base::callback_t< T, Tsptr >::callback_t(), and callbackregister_base::callback_t< T, Tsptr >::callback_t().

## Member Data Documentation

## defaultvalue

pmt::pmt_t callbackregister_base::callback_base_t::defaultvalue

Referenced by callback_base_t().

## description

std::string callbackregister_base::callback_base_t::description

Referenced by callback_base_t().

## display

DisplayType callbackregister_base::callback_base_t::display

Referenced by callback_base_t().

## max

pmt::pmt_t callbackregister_base::callback_base_t::max

Referenced by callback_base_t().

## min

pmt::pmt_t callbackregister_base::callback_base_t::min

Referenced by callback_base_t().

## priv

priv_lvl_t callbackregister_base::callback_base_t::priv

Referenced by callback_base_t().

## units

std::string callbackregister_base::callback_base_t::units

Referenced by callback_base_t().

The documentation for this struct was generated from the following file:

- rpccallbackregister_base.h